package com.prank.tool.sounds.app.adapter;

import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.prank.tool.sounds.app.activity.ViewInfo;
import com.prank.tool.sounds.app.common.MyUtils;
import com.prank.tool.sounds.app.data.Sounds;
import com.prank.tool.sounds.app.databinding.AdaMainBinding;

import java.util.List;


public class AdaMain extends RecyclerView.Adapter<AdaMain.ViewHolder> {

    private final List<Sounds> mValues;

    private Context mCon;


    public AdaMain(Context context, List<Sounds> items) {
        mValues = items;
        this.mCon = context;
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        return new ViewHolder(AdaMainBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));

    }

    @Override
    public void onBindViewHolder(final ViewHolder holder, int position) {
        int absoluteAdapterPosition = holder.getAbsoluteAdapterPosition();
        int i = absoluteAdapterPosition % 6;
        holder.vb.relative.setBackground(ContextCompat.getDrawable(mCon, MyUtils.bgs[i]));
        Sounds sounds = mValues.get(absoluteAdapterPosition);
        String covert = sounds.getCovert();
        Glide.with(mCon).load(covert).into(holder.vb.image);
        holder.vb.name.setText(sounds.getName());
        holder.vb.relative.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, ViewInfo.class);
                intent.putExtra(MyUtils.KEY_LIST_DATA, sounds);
                intent.putExtra(MyUtils.KEY_LIST_COLOR_POS, i);
                mCon.startActivity(intent);
            }
        });
        if(absoluteAdapterPosition == mValues.size()-1||absoluteAdapterPosition == mValues.size()-2){
            holder.vb.view.setVisibility(View.VISIBLE);
        }else {
            holder.vb.view.setVisibility(View.GONE);
        }

    }

    @Override
    public int getItemCount() {
        return mValues.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        private AdaMainBinding vb;

        public ViewHolder(AdaMainBinding binding) {
            super(binding.getRoot());
            vb = binding;

        }
    }
}